This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 111411 - "who" shows logged-out users
"who" shows logged-out users
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-03 06:43 EST by jouni
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-15 11:49:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jouni 2003-12-03 06:43:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
Q312461)

Description of problem:
I get different results when using 'who' and 'w' command on Fedora 
C1.  'w' seems to work ok, but 'who' displays extra users which are 
allready logged out.  last -f /var/run/utmp shows just a few lines, 
like this:

root     pts/2        somehost. Fri Nov 14 16:02    gone - no logout
root     pts/2        localhost:10.0   Mon Nov 17 19:28 - 16:02 (-3+-
3:-26)

It seems that I get these leftovers just by opening extra 'xterm' 
windows and closing it by Ctrl-D.  'who' shows the above entries as 
logged in users.


Version-Release number of selected component (if applicable):
coreutils-5.0-24

How reproducible:
Always

Steps to Reproduce:
1. xterm&
2. Ctrl-D to close the new window
3. "who"
    

Actual Results:  who shows the previous pts and user as logged on.

Expected Results:  exited user should not be shown as logged on

Additional info:
Comment 1 Tim Waugh 2003-12-03 06:50:32 EST
Nothing to do with who, but with xterm.
Comment 2 jouni 2003-12-03 08:40:21 EST
Should this bug be reopened for xterm?

I guess 'who' could still parse "gone - no logout" as 'gone'

Anyway, doing the same from windows logging in with ssh (Tera Term) 
and immediately logging out with Ctrl-D:

#last -f /var/run/utmp
root     pts/1        hostname Wed Dec  3 15:37    gone - no logout

#who
root     pts/1        Dec  3 15:37 (hostname)
...
Comment 3 Mike A. Harris 2003-12-15 08:25:31 EST
twaugh) How is this an xterm bug exactly?
Comment 4 Tim Waugh 2003-12-15 08:32:59 EST
Maintenance of utmp is nothing to do with 'who'.
Comment 5 Mike A. Harris 2003-12-16 11:04:34 EST
I was thinking of interpretation of contents of utmp rather than
creation of the entries there.  I'll have to examine SuSv3 to see
if it specifies the valid entries for utmp.

TIA
Comment 6 Mike A. Harris 2003-12-16 11:12:04 EST
s/if/what/
Comment 7 Mike A. Harris 2004-10-12 13:22:57 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Comment 8 jouni 2004-10-24 05:40:10 EDT
I am currently using FC2 with all available errata/updates.  I still
see this issue.

I get these entries from logins from other hosts with ssh and plain
text shell (i.e. no xterm).  So I assume this error is related to
bash/ssh(d)/who or whoever updateds the utmp.
Comment 9 jouni 2004-11-15 11:49:00 EST
Seems to work on FC3

Note You need to log in before you can comment on or make changes to this bug.